curl "https://pulsedive.com/taxii2/api/collections" \
-H "Accept: application/taxii+json;version=2.1" \
-u "taxii2:<YOUR_API_KEY>"{
"collections": [
{
"id": "a5cffbfe-c0ff-4842-a235-cb3a7a040a37",
"title": "Pulsedive indicator data",
"description": "This collection includes all of Pulsedive's indicators. Access is granted to Pulsedive Pro and Feed customers. Filters may be restricted depending on your tier. See our product pages for more information: pulsedive.com/about",
"can_read": false,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "dc9ecfa5-7769-4cf3-b699-38a9776b431d",
"title": "Pulsedive threat data",
"description": "This collection includes all of Pulsedive's data on threats. Access is granted to Pulsedive Pro, API, and Feed customers. See our product pages to learn more: pulsedive.com/about",
"can_read": false,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "981c4916-ebb2-4567-aece-54ae970c4230",
"title": "Pulsedive test data",
"description": "This collection includes live indicator data for testing.",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get Collections
Get information about all available collections in the API root.
Collections contain the STIX objects you can download from Pulsedive’s TAXII server.
curl "https://pulsedive.com/taxii2/api/collections" \
-H "Accept: application/taxii+json;version=2.1" \
-u "taxii2:<YOUR_API_KEY>"{
"collections": [
{
"id": "a5cffbfe-c0ff-4842-a235-cb3a7a040a37",
"title": "Pulsedive indicator data",
"description": "This collection includes all of Pulsedive's indicators. Access is granted to Pulsedive Pro and Feed customers. Filters may be restricted depending on your tier. See our product pages for more information: pulsedive.com/about",
"can_read": false,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "dc9ecfa5-7769-4cf3-b699-38a9776b431d",
"title": "Pulsedive threat data",
"description": "This collection includes all of Pulsedive's data on threats. Access is granted to Pulsedive Pro, API, and Feed customers. See our product pages to learn more: pulsedive.com/about",
"can_read": false,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
},
{
"id": "981c4916-ebb2-4567-aece-54ae970c4230",
"title": "Pulsedive test data",
"description": "This collection includes live indicator data for testing.",
"can_read": true,
"can_write": false,
"media_types": [
"application/stix+json;version=2.1"
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Encode your credentials in the format taxii2:<YOUR_API_KEY> using Base64 and include them in the Authorization header. An API key is required for all requests.
Some tools require a username and password separately. Use taxii2 as the username and your API key as the password. The client will automatically encode this as taxii2:<YOUR_API_KEY> and convert to Base64.
If using Try It: Use the username/password method for HTTP Basic Authorization.
Headers
Media type used for content negotiation. Use application/taxii+json;version=2.1 for TAXII requests.
Standard method required by the TAXII specification. Use in production environments.
Query Parameters
Media type used for content negotiation. Use application/taxii+json;version=2.1 for TAXII requests.
Specific to Pulsedive's implementation. Best for testing and debugging, manual API exploration, and simple curl commands. For production deployments, use HTTP Accept Header.
Indicates whether to format returned JSON results.
For pretty-printed output, set to 1. For compact output, set to 0.
0, 1 Response
Successful request. Returns collection information in JSON format.
Available collections.
Show child attributes
Show child attributes
Was this page helpful?